<?php namespace App\ViewModels\GaleriaClassificacao\GaleriaClassificacaoUpdateViewModel;

use App\Utils\Builder;

class GaleriaClassificacaoUpdateViewModelBuilder implements Builder
{

    protected $antes;
    protected $depois;

    public function setAntes($antes)
    {
        $this->antes = $antes;
        return $this;
    }

    public function setDepois($depois)
    {
        $this->depois = $depois;
        return $this;
    }

    public function build() : GaleriaClassificacaoUpdateViewModel
    {
        $procedimento_update_vm = new GaleriaClassificacaoUpdateViewModel();
        $procedimento_update_vm->setAntes($this->antes);
        $procedimento_update_vm->setDepois($this->depois);

        return $procedimento_update_vm;
    }
}